gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A widget displaying a single row of a A displays a single row of a , using cell renderers just like . does not support some of the more complex features of , like cell editing and drag and drop. Gtk.Widget Gtk.CellLayout GLib.IWrapper Atk.Implementor System.IDisposable
- Method
  Gtk.CellView `` Creates a new widget, adds a to it, and makes it show . a a
- Method
  System.Void Disposes the resources associated with this object.
- Method
  System.Void `` `` `` Sets the value of 's property to , then resizes and redraws this cell view. a a a
- Method
  System.Boolean `` `` Sets to the size needed by the CellView to display the model row pointed to by . a a , return location for the size a
- Method
  System.Void `` `` Re-inserts at . a a Note that has already to be packed into its view for this to function properly.
- Method
  System.Void `` `` Adds the into the end of the cell layout. a a If is , then the is allocated no more space than it needs. Any unused space is divided evenly between cells for which is .
- Method
  System.Void `` `` Packs the into the beginning of the cell layout. a a If is , then the is allocated no more space than it needs. Any unused space is divided evenly between cells for which is .
- Method
  System.Void `` `` `` Adds an attribute mapping to the list for this cell layout. a a , parameter on to be set from the value a , column of the model to get a value from. The is the column of the model to get a value from, and the is the parameter on to be set from the value. So for example if column 2 of the model contains strings, you could have the "text" attribute of a get its values from column 2.
- Method
  System.Void `` Clears all existing attributes previously set with . a
- Method
  System.Void Unsets all the mappings on all renderers for this cell view.
- Constructor
  Internal constructor
  a
  a
- Constructor
  Internal constructor
  a
  a
- Constructor
  Creates a new widget.
  a
- Constructor
  Creates a new widget, adds a to it, and makes its show .
  a
  a
- Property
  GLib.GType GType Property. a Returns the native value for .
- Property
  Gdk.Color The background color as a a
- Property
  System.String Background color as a string. a
- Property
  Gtk.TreeModel Sets the model for the CellView. a If the CellView already has a model set, it will remove it before setting the new model. If is , then it will unset the old model.
- Property
  Gdk.Color The background color a
- Property
  Gtk.TreePath The row of the model that is currently displayed a , or to unset. If the path is unset, then the contents of the cellview "stick" at their last value; this is not normally a desired result, but may be a needed intermediate state if say, the model for the becomes temporarily empty.
- Method
  System.Void `` `` Sets a data function to use for the cell layout. a a The data function is used instead of the standard attributes mapping for setting the column value, and should set the value of the cell renderer as appropriate. may be to remove an older one.
- Method
  System.Void `` `` Sets the attribute to model column bindings for a renderer. a a The array should consist of pairs of attribute name and column index.
- Constructor
  Creates a new widget, adds a to it, and makes it show .
  a
  a